Summary: RDF Parser Toolkit for Redland
Name:    raptor2
Version: 2.0.15
Release: 3%{?dist}

License: GPLv2+ or LGPLv2+ or ASL 2.0
URL:     http://librdf.org/raptor/
Source0: http://download.librdf.org/source/raptor2-%{version}.tar.gz

Patch3000: 0001-Calcualte-max-nspace-declarations-correctly-for-XML-.patch
Patch3001: 0001-CVE-2020-25713-raptor2-malformed-input-file-can-lead.patch

BuildRequires: pkgconfig(libxslt) yajl-devel
BuildRequires: make gcc-c++ curl-devel gtk-doc libicu-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package devel
Summary: Development files for %{name} 
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%autosetup -p1

sed -i -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure


%build
%configure \
  --disable-static \
  --enable-release \
  --with-icu-config=/usr/bin/icu-config \
  --with-yajl=no

%make_build


%install
%make_install

rm -fv %{buildroot}%{_libdir}/lib*.la


%check
export PKG_CONFIG_PATH=%{buildroot}%{_datadir}/pkgconfig:%{buildroot}%{_libdir}/pkgconfig
test "$(pkg-config --modversion raptor2)" = "%{version}"
make check 



%files
%license COPYING* LICENSE.txt LICENSE-2.0.txt
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/rapper
%{_libdir}/libraptor2.so.0*
%{_mandir}/man1/rapper*

%files devel
%doc UPGRADING.html
%{_includedir}/raptor2/
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/raptor2/
%{_mandir}/man3/libraptor2*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.15-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.15-1
- initial build
